<ng-container>
    <mat-card class="result-container" [ngClass]="{'warning-border': parametersChanged}" tabindex="0">
        <mat-card-title>{{resultsHeaderMsg}}</mat-card-title>
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Thermal sensitivity times the weighting correction factor"
                                  matTooltipPosition="before">
                    Weighted continuum sensitivity
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="weightedContSensitivity"
                matTooltip="Thermal sensitivity times the weighting correction factor"
                matTooltipPosition="before">
                    {{continuumResults?.weightedContinuumSensitivity}}<ng-container *ngIf="continuumResults?.weightedContinuumSensitivity">&dagger;</ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                                  matTooltipPosition="before">
                    Continuum confusion noise
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="contConfusionNoise"
                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                matTooltipPosition="before">
                    {{continuumResults?.continuumConfusionNoise}}
                </mat-card-content>
            </div>
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                  matTooltipPosition="before">
                    Total continuum sensitivity
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="totContSensitivity"
                matTooltip="Geometric mean of weighted sensitivity and confusion noise"
                matTooltipPosition="before">
                    {{continuumResults?.totalContinuumSensitivity}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                                  matTooltipPosition="before">
                    Continuum synthesized beam-size
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="contSynthBeamSize"
                                   matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                                   matTooltipPosition="before">
                    {{continuumResults?.continuumSynthesizedBeamSize}}
                </mat-card-content>
            </div>
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                  matTooltipPosition="before">
                    Continuum surface-brightness sensitivity
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="contSurfaceBrightSensitivity"
                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                matTooltipPosition="before">
                    {{continuumResults?.continuumSurfaceBrightnessSensitivity}}
                </mat-card-content>
            </div>
          <div class="layout" *ngIf="!integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Scan data collection duration"
                                  matTooltipPosition="before">
                    Continuum integration time
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="contIntTime"
                matTooltip="Scan data collection duration"
                matTooltipPosition="before">
                    {{continuumResults?.continuumIntegrationTime}}
                </mat-card-content>
            </div>
        <br>

        <div *ngIf="nSubBands > 1">
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Thermal sensitivity times the weighting correction factor (lowest and highest frequency)"
                                  matTooltipPositiWeighted sensitivity per sub-bandon="before">
                    Weighted sensitivity per sub-band
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="weightedContinuumSensitivityRange"
                matTooltip="Thermal sensitivity times the weighting correction factor (lowest and highest frequency)"
                matTooltipPositiWeighted sensitivity per sub-bandon="before">
                  {{continuumResults?.weightedSensitivityPerSubBand}}<ng-container *ngIf="continuumResults?.weightedSensitivityPerSubBand">&dagger;</ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Confusion noise per sub-band
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="confusionNoiseRange"
                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{continuumResults?.confusionNoisePerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Sum in quadrature of weighted sensitivity and confusion noise (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Total sensitivity per sub-band
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="continuumSensitivityRange"
                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{continuumResults?.totalSensitivityPerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Major and minor axes (FWHM) of the synthesized beam (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Synthesized beam-size per sub-band
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="synthesizedBeamSizeRange"
                matTooltip="Major and minor axes (FWHM) of the synthesized beam (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{continuumResults?.synthesizedBeamSizePerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Brightness sensitivity corresponding to the beam solid angle (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Surface-brightness sensitivity per sub-band
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="surfaceBrightnessSensitivityRange"
                matTooltip="Brightness sensitivity corresponding to the beam solid angle (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{continuumResults?.surfaceBrightnessSensitivityPerSubBand}}
                </mat-card-content>
            </div>
          <div class="layout" *ngIf="!integrationTimeSupplied">
            <mat-card-content class="title"
                              matTooltip="Scan data collection duration (lowest and highest frequency)"
                              matTooltipPosition="before">
                Integration time per sub-band
            </mat-card-content>
            <mat-card-content *ngIf="!suppliedSwitched" id="integrationTime"
            matTooltip="Scan data collection duration (lowest and highest frequency)"
            matTooltipPosition="before">
                {{continuumResults?.integrationTimePerSubBand}}
            </mat-card-content>
        </div>
      <br>
        </div>


        <div class="layout" *ngIf="integrationTimeSupplied">
            <mat-card-content class="title"
                              matTooltip="Thermal sensitivity times the weighting correction factor"
                              matTooltipPosition="before">
                Weighted spectral sensitivity
            </mat-card-content>
            <mat-card-content *ngIf="!suppliedSwitched" id="weightedSpectralSensitivity"
            matTooltip="Thermal sensitivity times the weighting correction factor"
            matTooltipPosition="before">
              {{continuumResults?.weightedSpectralSensitivity}}<ng-container *ngIf="continuumResults?.weightedSpectralSensitivity">&Dagger;</ng-container>
            </mat-card-content>
        </div>

        <div class="layout">
            <mat-card-content class="title"
                              matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                              matTooltipPosition="before">
                Spectral confusion noise
            </mat-card-content>
            <mat-card-content *ngIf="!suppliedSwitched" id="spectralConfNoise"
            matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
            matTooltipPosition="before">
                {{continuumResults?.spectralConfusionNoise}}
            </mat-card-content>
        </div>
          <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                  matTooltipPosition="before">
                    Total spectral sensitivity
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="totSpectralSensitivity"
                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                matTooltipPosition="before">
                    {{continuumResults?.totalSpectralSensitivity}}
                </mat-card-content>
            </div>
          <div class="layout">
            <mat-card-content class="title"
                              matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                              matTooltipPosition="before">
                Spectral synthesized beam-size
            </mat-card-content>
            <mat-card-content *ngIf="!suppliedSwitched" id="spectralSynthBeamSize"
            matTooltip="Major and minor axes (FWHM) of the synthesized beam"
            matTooltipPosition="before">
                {{continuumResults?.spectralSynthesizedBeamSize}}
            </mat-card-content>
        </div>
          <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                  matTooltipPosition="before">
                    Spectral surface-brightness sensitivity
                </mat-card-content>
                <mat-card-content *ngIf="!suppliedSwitched" id="spectralSurfaceBrightSensitivity"
                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                matTooltipPosition="before">
                    {{continuumResults?.spectralSurfaceBrightnessSensitivity}}
                </mat-card-content>
            </div>
        <div class="layout" *ngIf="!integrationTimeSupplied">
            <mat-card-content class="title"
                              matTooltip="Scan data collection duration"
                              matTooltipPosition="before">
                Spectral integration time
            </mat-card-content>
            <mat-card-content *ngIf="!suppliedSwitched" id="spectralIntTime"
            matTooltip="Scan data collection duration"
            matTooltipPosition="before">
                {{continuumResults?.spectralIntegrationTime}}
            </mat-card-content>
        </div>

        <br>

        <div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before">
                    FWHM of the RMSF
                </mat-card-content>
                <mat-card-content id="fwhmOfTheRmsf"  *ngIf="!suppliedSwitched"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before"
                                  [innerHTML]="continuumResults?.spectropolarimetryResults?.fwhmOfTheRMSF">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth extent
                </mat-card-content>
                <mat-card-content id="maxFaradayDepthExtent"  *ngIf="!suppliedSwitched"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before"
                                [innerHTML]="continuumResults?.spectropolarimetryResults?.maximumFaradayDepthExtent">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth
                </mat-card-content>
                <mat-card-content id="maxFaradayDepth"  *ngIf="!suppliedSwitched"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before" [innerHTML]="continuumResults?.spectropolarimetryResults?.maximumFaradayDepth">
                </mat-card-content>
            </div>
        </div>

        <mat-error *ngIf="continuumResults?.warnings?.sensLimitReached?.reached && !suppliedSwitched" id="sensLimitWarning">
            {{sensLimitWarning()}}
        </mat-error>
        <mat-error *ngIf="continuumResults?.warnings?.errorMsg && !suppliedSwitched" id="errorMsg" style="padding-top: 6px;">
            {{continuumResults?.warnings?.errorMsg}}
        </mat-error>
        <mat-error *ngIf="integrationTimeSupplied && continuumResults?.warnings?.integrationTimesDifferent && !suppliedSwitched" id="contIntegrationTimeWarning" style="padding-top: 6px;">
            {{differentIntegrationTimeMessage}}
        </mat-error>
    </mat-card>
    <ng-container *ngIf="continuumResults?.weightedContinuumSensitivity || continuumResults?.weightedSensitivityPerSubBand">
      &dagger; Weighting correction factor (30% bandwidth)<br/>
    </ng-container>
    <ng-container *ngIf="continuumResults?.weightedSpectralSensitivity">
      &Dagger; Weighting correction factor (single channel)<br/>
    </ng-container>
    <mat-error *ngIf="parametersChanged">
        Parameters have changed.
    </mat-error>
</ng-container>
